libzypp 17.37.10

zypp_private::repo Namespace Reference

## Classes
struct | Monitor
class | PluginRepoverification
| Repository metadata verification beyond GPG. More...
class | PluginRepoverificationCheckException
| Exceptiontype thrown if a plugins verification fails. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const PluginRepoverification &obj)
std::ostream & | dumpOn (std::ostream &str, const PluginRepoverification &obj)
bool | operator== (const PluginRepoverification &lhs, const PluginRepoverification &rhs)
std::ostream & | operator<< (std::ostream &str, const PluginRepoverification &obj)
| Stream output.
std::ostream & | dumOn (std::ostream &str, const PluginRepoverification &obj)
| Verbose stream output.
bool | operator== (const PluginRepoverification &lhs, const PluginRepoverification &rhs)
bool | operator!= (const PluginRepoverification &lhs, const PluginRepoverification &rhs)

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & zypp_private::repo::operator<< | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )
| related

Definition at line 288 of file PluginRepoverification.cc.

## ◆ dumpOn()

std::ostream & zypp_private::repo::dumpOn | ( | std::ostream & | str,
|  | const PluginRepoverification & | obj )

Definition at line 291 of file PluginRepoverification.cc.

## ◆ operator==() [1/2]

bool zypp_private::repo::operator== | ( | const PluginRepoverification & | lhs,
|  | const PluginRepoverification & | rhs )
| related

Definition at line 294 of file PluginRepoverification.cc.